---
id: 68eca4c4b0f952cf09fabe09
title: Step 15
challengeType: 0
dashedName: step-15
---

# --description--

Inside the second element having a class of `card`, add an `h2` element with the text `Dave's Cooking Adventure`.

# --hints--

You should have an `h2` element nested inside the second element that has a class of `card`.

```js
const cards = document.querySelectorAll('.card');
assert.exists(cards[1]?.querySelector('h2'));
```

The `h2` element inside the second element having a class of `card` should have a text of `Dave's Cooking Adventure`.

```js
const cards = document.querySelectorAll('.card');
assert.equal(cards[1]?.querySelector('h2')?.innerText.trim(), "Dave's Cooking Adventure");
```

# --seed--

## --seed-contents--

```html
<html lang="en">
<head>
  <meta charset="UTF-8" />
  <title>XYZ Bookstore Page</title>
</head>

<body>
  <h1>XYZ Bookstore</h1>
  <p>Browse our collection of amazing books!</p>
  
  <div class="card-container">
    <div class="card" id="sally-adventure-book">
      <h2>Sally's SciFi Adventure</h2>
      <p>This is an epic story of Sally and her dog Rex as they navigate through other worlds.</p>
      <button class="btn">Buy Now</button>
    </div>
    
    <div class="card" id="dave-cooking-book">
    --fcc-editable-region--
      
    --fcc-editable-region--
    </div>
  </div>
</body>

</html>
```
